<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100101";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
				$NoDocSuEn=$_GET["NDocKp"] or $NoDocSuEn=$_POST["NDocKp"];
				$EtMasterEn=$_GET["EtMastKp"] or $EtMasterEn=$_POST["EtMastKp"];
				$ubic=$_GET["ubic"] or $ubic=$_POST["ubic"];
				$SkuAS=$_GET['sku'] or $SkuAS=$_POST['sku'];
				$ret=$_GET['ret'] or $ret=$_POST['ret'];
				$lote=$_GET['lote'] or $lote=$_POST['lote'];
				$lotep=$_GET['lotep'] or $lotep=$_POST['lotep'];
				
				echo "<script>alert('ret=$ret')</script>";
				
				$tareaid=$_POST['tarea'] OR $tareaid=$_GET['tarea'];
				$uborigen=$_POST['uborigen'] OR $uborigen=$_GET['uborigen'];
				$unidades=$_POST['unidades'] OR $unidades=$_GET['unidades'];
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
			////Arrastrando la Variable del Documento
				$NoDocSuEn=$_GET["NDocKp"] or $NoDocSuEn=$_POST["NDocKp"];
				$EtMasterEn=$_GET["EtMastKp"] or $EtMasterEn=$_POST["EtMastKp"];
				
				////Identificar los datos del Documento de Recibo
				$sqlIDR1 = mysql_query("select * from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
				if (mysql_numrows($sqlIDR1)==0) echo "";
				else{
				$registroIDR1=mysql_fetch_array($sqlIDR1);
				}
				if (mysql_numrows($sqlIDR1)>0)
				{
				$TipSalIDR1=$registroIDR1["TIPO_SALIDA"];
				$TipSurIDR1=$registroIDR1["TIPO_SURTIDO"];
				$CveDesIDR1=$registroIDR1["DESTINO"];	
				$VigeIDR1=$registroIDR1["DISPONIBILIDAD"];
				$EdoDIDR1=$registroIDR1["EDO_DOCUMENTO"];
				$PriIDR1=$registroIDR1["PRIORIDAD"];	
				}
				
				////Identificar Si el documento digitado Existe
				$sqlIDR2 = mysql_query("select * from tabla_docsurtido WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
				if (mysql_numrows($sqlIDR2)==0) 
				{
				echo "<script>alert('El Documento de Surtido Digitado no Existe.\\nFavor de Corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=".(urldecode($ret))."'>";
				}
				else
				{ //// Inicia If Valiador del Documento Recibo
				
				////Identificar La caducidad de Documento
				if ($VigeIDR1<$Fecha)
				{
					echo "<script>alert('El Documento de Surtido Digitado ha Caducado.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=".(urldecode($ret))."''>";
				}
				else
				{ //// Inicia If Valiador de Caducidad Documento
				
				////Identificar el estado del Documento
				if ($EdoDIDR1<>"POR SURTIR" and $EdoDIDR1<>"SURTIENDOSE")
				{
					echo "<script>alert('El Estado del Documento de Surtido no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=".(urldecode($ret))."''>";
				}
				else
				{ //// Inicia If Valiador de Estado de Documento
				
 					////Identificar los datos de la Etiqueta Master
					$sqlIDR3 = mysql_query("select * from tabla_etimaster where CVE_CUENTA='$CveCueCR1' AND NO_ETIQUETA='$EtMasterEn'");
					if (mysql_numrows($sqlIDR3)==0)
						{
							echo "<script>alert('La Etiqueta Master: $EtMasterEn No existe dentro del Sistema.\\n\\nFavor de corroborarlo.');</script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=".(urldecode($ret))."''>";
						}
					else{
					$registroIDR3=mysql_fetch_array($sqlIDR3);
					}
					if (mysql_numrows($sqlIDR3)>0)
					{
					$Esta_IDR3=$registroIDR3["ESTATUS"];
					}
					
					///Identificar el Estatus de la Etiqueta Master
					if ($Esta_IDR3=="ASOCIADA")
					{  ///Inicia If Etiqueta Master Asociada
					echo "<script>alert('La Etiqueta Master: $EtMasterEn ya ha sido asociada y utilizada para otro surtido.\\n\\nFavor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=".(urldecode($ret))."''>";
					}
					else
					{
						
						////Arrastrando Campos
						$UbicEn=strtoupper($_POST['txt_UBICA']) or $UbicEn=strtoupper($_GET['txt_UBICA']);
						$UBCorrEn=strtoupper($_POST['txt_UBAE'	]) or $UBCorrEn=strtoupper($_GET['txt_UBAE']);
						$TareaTEn=strtoupper($_POST['txt_TAREA']) or $TareaTEn=strtoupper($_GET['txt_TAREA']);
						$PalletEn=strtoupper($_POST['txt_PALL']) or $PalletEn=strtoupper($_GET['txt_PALL']);
						$CanXTarEn=strtoupper($_POST['txt_CXTAR']) or $CanXTarEn=strtoupper($_GET['txt_CXTAR']);
						$LoteEn=$_POST['txt_LOTE'] or $LoteEn=$_GET['txt_LOTE'];
						
////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="form1" name="form1" method="post" action="<?php echo urldecode($ret); ?>">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		    <td colspan="2" align="center"><font class="Clase_TipoLetra">Resurtido-picking</font></td>
	      </tr>
		  <tr>
		    <td colspan="2"><input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
              <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" /></td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center">
            <Br><font class="Clase_TipoLetra">¿Realmente desea dar de alta <b>0</b> pzas en el resurtido?</font></td>
	      </tr>
		  <tr>
		    <td width="112" align="center"><input type="button" value="Aceptar" onclick=" window.location.href='<?PHP echo"5-Resurtidopicking4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NDocKp=$NoDocSuEn&EtMastKp=$EtMasterEn&ubic=$ubic&sku=$SkuAS&ret=$ret&lote=$lote&lotep=$lotep&skip=skip&tarea=$tareaid&uborigen=$uborigen&unidades=$unidades&ret=".(urlencode($ret));?>'"/></td>
		    <td width="111" align="center"><input type="button" value="Cancelar" onclick=" window.location.href='<?PHP echo urldecode($ret);?>' " /></td>
	      </tr>
		  <tr>
		    <td colspan="2"><input type="hidden" name="NDocKp"
		value="<?PHP echo $NoDocSuEn; ?>" />
              <input type="hidden" name="EtMastKp"
		value="<?PHP echo $EtMasterEn; ?>" />
              <input type="hidden" name="txt_UBAEsc"
		value="<?PHP echo $UbicEn; ?>" />
              <input type="hidden" name="txt_UBASol"
		value="<?PHP echo $UBCorrEn; ?>" />
              <input type="hidden" name="txt_TAREA"
		value="<?PHP echo $TareaTEn; ?>" />
              <input type="hidden" name="txt_PALL"
		value="<?PHP echo $PalletEn; ?>" />
              <input type="hidden" name="txt_CXTAR"
		value="<?PHP echo $CanXTarEn; ?>" />
            <input type="hidden" name="txt_LOTE"
		value="<?PHP echo $LoteEn; ?>" /></td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center">&nbsp;</td>
	      </tr>
		</table>
	</form>

      <!-- Termina Cuerpo de la Pantalla -->		
	</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
}//// Termina If Valiador Etiqueta Master
}//// Termina If Valiador de Estado de Documento
}//// Termina If Valiador de Caducidad Documento
}//// Termina If Valiador del Documento Recibo
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
